Bug 1332163

Summary: delete: Error: Unknown response from the server. Code: 404
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: copr-cliAssignee: Jakub Kadlčík <jkadlcik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jkadlcik, msuchy, praiskup
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: copr-cli-1.50-1.fc22 copr-cli-1.50-1.fc23 copr-cli-1.50-1.fc24 copr-cli-1.50-1.el7 copr-cli-1.50-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-16 22:25:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Igor Gnatenko 2016-05-02 11:45:52 UTC
But this project exists in COPR.

[ignatenko@ignatenko rpmdistro-gitoverlay]$ copr-cli delete ignatenkobrain/rpm-gitoverlay-20160502115257747347

Error: Unknown response from the server. Code: 404, raw response: 
 
<!doctype html>
<html>
<head>
  <title>Not Found</title>
  <script src="/static/components/jquery/dist/jquery.min.js"></script>
  <script src="/static/components/jquery-ui/jquery-ui.min.js"></script>
  <link rel="stylesheet" href="/static/components/jquery-ui/jquery-ui.min.css" />
  <link rel="shortcut icon" href="/static/favicon.ico" type="image/vnd.microsoft.icon">
  <link rel="shortcut icon" href="/static/favicon.ico" type="image/x-icon">
  <link href="/static/css/patternfly.min.css" rel="stylesheet" media="screen, print">
  <link href="/static/css/custom-styles.css" rel="stylesheet" media="screen, print">
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="../components/html5shiv/dist/html5shiv.min.js"></script>
  <script src="../components/respond/dest/respond.min.js"></script>
  <![endif]-->
  <!-- IE8 requires jQuery and Bootstrap JS to load in head to prevent rendering bugs -->
  <!-- IE8 requires jQuery v1.x -->
  <script src="/static/components/jquery/dist/jquery.min.js"></script>
  <script src="/static/components/bootstrap/dist/js/bootstrap.min.js"></script>
  <script src="/static/components/datatables/media/js/jquery.dataTables.js"></script>
  <script src="/static/js/patternfly.min.js"></script>

  <script src="/static/copr.js"></script>
  <link rel=stylesheet type=text/css href="/static/copr.css">
</head>

<body>
  <!-- BANNER -->

  <!-- MAIN MENU -->
  <nav class="" id="main-bar">
    <div class="container">
      <div class="row">
        <div class="col-md-8 col-sm-7 col-xs-6">
          <a href="/coprs/">
            <img id="logo" src="/static/copr_logo.png" alt="Copr Build System">
          </a>
        </div>
        <div class="col-md-4 col-sm-5 col-xs-6">
          <div id="login-menu" class="text-right">
            <a href="/login/">log in</a> |
            <a href="https://admin.fedoraproject.org/accounts/user/new">sign up</a>
          </div>
          <form role="search" method="get" action="/coprs/fulltext/">
            <div class="input-group menu-search">
              <input name="fulltext" type="text" class="form-control" placeholder="Search projects" value="">
              <span class="input-group-btn">
                <button type="submit" class="btn btn-default">
                <span class="glyphicon glyphicon-search"></span>
                </button>
              </span>
            </div>
          </form>
        </div>
      </div>
    </div>
  </nav>
  <div class="breadcrumb-panel">
    <div class="container">
    </div>
  </div>

  <!-- CONTENT -->
  <div id=content>
    <div class="container">

      <!-- Flash messages -->

      <!-- the actual content -->
  <h1> Error 404: Not Found </h1>
    404: Not Found

    </div>
    <footer class="footer">
      <div>
        <div class="container text-muted">
          <div class="">
            <div class="row">
              <div class="col-sm-4">
                <dl>
                  <dt><h3>Copr Project</h3></dt>
                  <dd>
                    <ul class="list-unstyled">
                      <li><a href="https://fedorahosted.org/copr/">Project Homepage</a></li>
                      <li><a href="https://fedorahosted.org/copr/wiki/UserDocs">User Documentation</a></li>
                      <li><a href="https://bugzilla.redhat.com/enter_bug.cgi?product=Copr">Report a Bug</a></li>
                      <li><a href="https://fedorahosted.org/copr/wiki/UserDocs#FAQ">FAQ</a></li>
                    </ul>
                  </dd>
                </dl>
              </div>
              <div class="col-sm-4">
                <dl>
                  <dt><h3>Site Navigation</h3></dt>
                  <dd>
                    <ul class="list-unstyled">
                      <li> <a href="/coprs/">Home</a> </li>
                      <li> <a href="/status/importing/">Task Queue</a> </li>
                      <li> <a href="/api/">API</a> </li>
                    </ul>
                  </dd>
                </dl>
              </div>
              <div class="col-sm-4">
                <dl>
                  <dt><h3>Powered by</h3></dt>
                  <dd>
                    <ul class="list-unstyled">
                      <li><a href="https://www.python.org">Python</a></li>
                      <li><a href="http://www.openstack.org">OpenStack</a></li>
                      <li><a href="https://www.patternfly.org">PatternFly</a></li>
                      <li><a href="https://github.com/release-engineering/dist-git">Dist Git</a></li>
                    </ul>
                  </dd>
                </dl>
              </div>
            </div>
            <!-- <small class="text-muted">
              Build 1.85-1.fc23
            </small> -->
          </div>
        </div>
      </div>
    </footer>
  </div>

  <!-- FEDORA MENU -->
  <script src="https://apps.fedoraproject.org/fedmenu//js/fedora-libravatar.js"></script>
  <script src="https://apps.fedoraproject.org/fedmenu//js/fedmenu.js"></script>
  <script>
    fedmenu({
        'url': 'https://apps.fedoraproject.org/js/data.js',
        'mimeType': 'application/javascript',
        'position': 'bottom-right',
    });
  </script>
</body>
</html>

Comment 1 Jakub Kadlčík 2016-05-02 12:15:15 UTC
Igor, Thank you for the feedback

Modified in: 510d9f6

Comment 2 Jakub Kadlčík 2016-05-02 12:17:02 UTC
As a workaround, until the fix is released, you can use

copr-cli delete <project>

instead of 

copr-cli delete <user>/<project>

Comment 3 Fedora Update System 2016-05-05 07:01:13 UTC
python-copr-1.68-1.fc22 copr-cli-1.50-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e

Comment 4 Fedora Update System 2016-05-05 07:01:47 UTC
python-copr-1.68-1.el7 copr-cli-1.50-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9a4d5dfb13

Comment 5 Fedora Update System 2016-05-05 07:02:03 UTC
python-copr-1.68-1.fc24 copr-cli-1.50-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2be6d1814

Comment 6 Fedora Update System 2016-05-05 07:02:20 UTC
python-copr-1.68-1.fc23 copr-cli-1.50-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f84a68dc

Comment 7 Fedora Update System 2016-05-05 07:02:36 UTC
python-copr-1.68-1.el6 copr-cli-1.50-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d7889ce228

Comment 8 Fedora Update System 2016-05-05 09:54:03 UTC
copr-cli-1.50-1.fc24, python-copr-1.68-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2be6d1814

Comment 9 Fedora Update System 2016-05-05 15:52:17 UTC
copr-cli-1.50-1.fc23, python-copr-1.68-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f84a68dc

Comment 10 Fedora Update System 2016-05-05 21:18:41 UTC
copr-cli-1.50-1.el6, python-copr-1.68-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d7889ce228

Comment 11 Fedora Update System 2016-05-05 21:24:09 UTC
copr-cli-1.50-1.el7, python-copr-1.68-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9a4d5dfb13

Comment 12 Fedora Update System 2016-05-06 09:22:55 UTC
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e

Comment 13 Fedora Update System 2016-05-16 22:24:41 UTC
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-16 22:27:52 UTC
copr-cli-1.50-1.fc23, python-copr-1.68-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-20 17:42:06 UTC
copr-cli-1.50-1.fc24, python-copr-1.68-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-20 20:19:12 UTC
copr-cli-1.50-1.el7, python-copr-1.68-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-21 05:18:55 UTC
copr-cli-1.50-1.el6, python-copr-1.68-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.